<?php   
    include "connessione.php";
?>

<html>
    <head>
        <title>
            Simulazione di compito
        </title>
    </head>
    <body>
        <h1>Iscrizione completata con successo</h1>
<?php

    $nome = $_POST['nome'];
    $cognome = $_POST['cognome'];
    $conferenza = $_POST['conferenza'];
    $data = $_POST['data'];
    
    
    $sql = "SELECT id FROM evento WHERE IDconferenza = :idc AND IDData = :idd";
    $stmt = $pdo->prepare($sql);
    $stmt->execute(['idc' => $conferenza, 'idd' => $data]);
    $row = $stmt->fetch();
    $idevento = $row['id'];
    $sql = "INSERT INTO iscrizione (IDevento, nome, cognome) VALUES(:idevento, :nome, :cognome)";
    $stmt = $pdo->prepare($sql);
    $stmt->execute(['idevento' => $idevento, 'nome' => $nome, 'cognome' => $cognome]);
    
    if ($stmt->rowCount() == 1)
    {
        //Recupera il nome della conferenza
        $sql = "SELECT nome FROM conferenza WHERE ID = :idc";
        $stmt = $pdo->prepare($sql);
        $stmt->execute(['idc' => $conferenza]);
        $row = $stmt->fetch();
        $nome_conferenza = $row['nome'];
    
        //Recupera la data della conferenza
        $sql = "SELECT data FROM data_conferenze WHERE ID = :idd";
        $stmt = $pdo->prepare($sql);
        $stmt->execute(['idd' => $data]);
        $row = $stmt->fetch();
        $data_conferenza = $row['data'];
        
        echo '<p>' . $nome . ' ' . $cognome . ' sei iscritto a "' . 
            $nome_conferenza . '" del ' . $data_conferenza ."</p>";
    }
    else
        echo "Iscrizione fallita";
    $sql = <<<'EOT'
    SELECT conferenza.nome as nome, data, COUNT(*) as number
    FROM conferenza, data_conferenze, evento, iscrizione 
    WHERE conferenza.id = evento.IDConferenza 
    AND data_conferenze.id = evento.IDData 
    AND iscrizione.IDEvento = evento.id
    GROUP BY nome, data 
    ORDER BY data
EOT;
    $stmt = $pdo->query($sql);
    echo '<table>';
    foreach($stmt as $row)
        echo '<tr><td>' . $row['nome'] . '</td><td>' . 
        $row['data'] . '</td><td>' . $row['number'] . '</td></tr>';
    echo '</table>';
?>         
    </body>
</html>

